Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8224648

assert(!exceeding_node_budget()) failed: Too many NODES required! failure with ctw

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2
    • Resolution: Fixed
    • Affects Version/s: 13
    • Fix Version/s: 13
    • Component/s: hotspot
    • Subcomponent:
    • Introduced In Build:
      b20
    • Introduced In Version:
      13
    • Resolved In Build:
      b24
    • Verification:
      Verified

      Backports

        Description

        # A fatal error has been detected by the Java Runtime Environment:
        #
        # Internal Error (src/hotspot/share/opto/loopnode.hpp:1394), pid=21367, tid=21422
        # assert(!exceeding_node_budget()) failed: Too many NODES required!
        #
        # JRE version: OpenJDK Runtime Environment (13.0) (fastdebug build 13-internal+0-adhoc.roland.hs)
        # Java VM: OpenJDK 64-Bit Server VM (fastdebug 13-internal+0-adhoc.roland.hs, mixed mode, sharing, tiered, compressed oops, g1 gc, linux-amd64)
        # Problematic frame:
        # V [libjvm.so+0x11cb1cc] AutoNodeBudget::~AutoNodeBudget()+0xdc

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  phedlin Patric Hedlin
                  Reporter:
                  roland Roland Westrelin
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: